Name:		spacechart
Version:	0.9.5
Release:	22%{?dist}
Summary:	A 3D star-mapping program

Group:		Applications/Engineering
License:	GPLv2+
URL:		http://www.gnu.org/software/spacechart/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:	spacechart.desktop
Source2:	spacechart.png
# From Debian:
# http://ftp.debian.org/debian/pool/main/s/spacechart/spacechart_0.9.5-13.diff.gz
Source3:	spacechart.1
Patch0:         spacechart-0.9.5-bounds.patch
Patch1:         spacechart-0.9.5-format.patch
Patch2:         spacechart-0.9.5-open.patch

BuildRequires:	flex, gnome-libs-devel, desktop-file-utils

%description
GNU SpaceChart is a program that allows you to see the stars in
glorious 3D and rotate them to see them from any point of view.
You can also limit which stars you want to see, according to their
spectral class and luminosity, and draw links between all stars
closer than a certain distance.

%prep
%setup -q
%patch0 -p1 -b .bounds
%patch1 -p1 -b .format
%patch2 -p1 -b .open

%build
# FIXME: Package has c11 compatiblity issues
# Work around by appending -std=gnu89 to CFLAGS
# Proper fix would be to fix the sources
CFLAGS="${RPM_OPT_FLAGS} -std=gnu89" \
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
desktop-file-install \
%if (0%{?fedora} && 0%{?fedora} < 19) || (0%{?rhel} && 0%{?rhel} < 7)
  --vendor fedora \
%endif
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}
install -Dpm 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png
install -Dpm 0644 %{SOURCE3} $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1


%files -f %{name}.lang
%doc ABOUT-NLS AUTHORS ChangeLog COPYING INSTALL NEWS README THANKS TODO
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/doc/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1*
%config(noreplace)%{_sysconfdir}/%{name}rc
%if (0%{?fedora} && 0%{?fedora} < 19) || (0%{?rhel} && 0%{?rhel} < 7)
%{_datadir}/applications/fedora-%{name}.desktop
%else
%{_datadir}/applications/%{name}.desktop
%endif

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Aug 13 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.9.5-17
- Append -std=gnu89 to CFLAGS (Address F23FTBFS, RHBZ#1240016).

* Sun Jul 12 2015 Peter Robinson <pbrobinson@fedoraproject.org> 0.9.5-16
- Rebuild for esound retirement

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Feb 24 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 0.9.5-11
- Remove --vendor from desktop-file-install on F19+. https://fedorahosted.org/fesco/ticket/1077

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Dec 28 2012 Richard W.M. Jones <rjones@redhat.com> - 0.9.5-9
- Rebuild, see
  http://lists.fedoraproject.org/pipermail/devel/2012-December/175685.html

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 6 2009 Lubomir Rintel (Fedora Astronomy) <lkundrak@v3.sk> - 0.9.5-4
- Fix a couple of crashes
- Accept a file to open as command line argument, default to shipped map

* Tue Mar 24 2009 Lubomir Rintel (Fedora Astronomy) <lkundrak@v3.sk> - 0.9.5-3
- Add icon
- Add manual page

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Mar 23 2008 Marek Mahut <mmahut@fedoraproject.org> - 0.9.5-1
- Initial package

